blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
41da742ea1f939c92b2d516c9351ae16974d4df9 | Shell | Suika/webm2mp4 | /install-systemd-unit.sh | UTF-8 | 679 | 3.375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
name="webm2mp4bot"
sudo systemctl stop "$name.service" 2> /dev/null # hide output if service doesn't exist
echo "[Unit]
Description=webm2mp4 Telegram bot
Documentation=https://github.com/MikeWent/webm2mp4
Wants=network-online.target
After=network.target network-online.target
[Service]
Type=simple
ExecSt... | true |
d1440a35fb367339534d9803b8d9f58af3359a4a | Shell | py0n/dotfiles-zsh | /functions/setup-ndenv | UTF-8 | 292 | 2.90625 | 3 | [] | no_license | # `ndenv` の設定
if [[ ! -d $HOME/.ndenv/bin ]];then
echo "No \$HOME/.ndenv/bin" 1>&2
return 1
fi
if [[ ! -d $HOME/.ndenv/shims ]]; then
echo "No \$HOME/.ndenv/shims" 1>&2
return 1
fi
eval "$(ndenv init -)"
# vim: expandtab filetype=zsh shiftwidth=4 softtabstop=4 ts=4
| true |
c7921af48f5fffc3024b59615948c0910049d781 | Shell | AndrewCopeland/conjur-concourse-integration-tests | /test.sh | UTF-8 | 2,794 | 2.75 | 3 | [
"Apache-2.0"
] | permissive | source config.sh
source utils.sh
go get github.com/onsi/ginkgo/ginkgo
announce "UNIT TESTS"
home_dir=$(pwd)
cd concourse/atc/creds/conjur
output=$($HOME/go/bin/ginkgo -r -p)
cd "$home_dir"
echo "$output"
if [[ "$output" != *"Test Suite Passed"* ]]; then
echo "ERROR: Failed to pass unit tests"
exit 1
fi
announce "I... | true |
f45785803247497a3b3a75a262a096e05f10c888 | Shell | ivankp/bh_analysis | /scripts/condor/exclsums.sh | UTF-8 | 819 | 3.234375 | 3 | [] | no_license | #!/bin/sh
dir=~/disk2/hist/merged
BIN=../../bin
for p in "H" "AA"; do
for n in 2 3; do
for E in 8 13; do
for f in `ls $dir | grep "$p$n"j_"$E"TeV | grep _NLO_`; do
props=`echo $f | sed 's/^[^_]*_[^_]*_[^_]*_\(.*\)/\1/'`
#echo $props
bad=0
args=()
for t in "RS" "V" "I" "NLO"; do
nj=$n
if [ "$t" =... | true |
546ed997e4682f8a0ce86a919395d42fde1074b3 | Shell | thudt90/thudt90 | /chap1/eval.sh | UTF-8 | 174 | 2.859375 | 3 | [] | no_license | #!/bin/bash
#File: eval
#Description: concatenating arguments
name=foo
foo="welcome Thu"
echo $name
new_name='$'$name
echo $new_name
eval new_name='$'$name
echo $new_name
| true |
c4fa6c086d176058dcad631cbef011e4473a33bd | Shell | fsareshwala/dotfiles | /prefix/lib/utilities.sh | UTF-8 | 1,847 | 4.3125 | 4 | [] | no_license | #!/usr/bin/env bash
# This file contains various utility functions that are used in other shell scripts
function log_warn() {
echo "warn: $1"
}
function log_error() {
echo "error: $1"
exit
}
function ensure_exists() {
local program=$1
command -v "$program" > /dev/null 2>&1 || log_error "$program not avail... | true |
c8c0b57d0a98a3b705c4936a6a1e4028eccf0d9e | Shell | sunaku/home | /bin/ls-sizetime | UTF-8 | 346 | 3.484375 | 3 | [
"ISC"
] | permissive | #!/bin/sh -e
#
# Usage: ls-sizetime [ARGUMENTS_FOR_LS]...
#
# Runs ls(1) and prints file size, modification time, and pathname.
# If the standard output stream is a terminal, output is colorized.
#
# Written in 2016 by Suraj N. Kurapati <https://github.com/sunaku>
test -t 1 && tty=+ || tty=
ls -g -o ${tty:+--color} "... | true |
869f44d29ee7b2b70a6da36a61269440eeaa8d06 | Shell | velicanu/gammajettrack | /run-js-plot.sh | UTF-8 | 5,579 | 2.984375 | 3 | [] | no_license | #!/bin/bash
if [ $# -lt 8 ]; then
echo "Usage: ./run-js-plot.sh [phoetmin] [phoetmax] [jetptmin] [trkptmin] [gammaxi] [sample] [label] [types...]"
echo "Example: ./run-js-plot.sh 60 1000 30 1 0 pbpbmc closure sgengen sgenreco recogen recoreco"
exit 1
fi
g++ draw_js.C $(root-config --cflags --libs) -Werror -Wall... | true |
4a48226a213748dc75dee9bb8cc6a512bed7c376 | Shell | qianlei90/spacez_config_vim | /install.sh | UTF-8 | 569 | 3.109375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -e
ROOT_DIR=$(dirname "$(readlink -f "$0")")
CONFIG_DIR="$HOME/.config/nvim"
if [ ! -e "$CONFIG_DIR" ]; then
mkdir -p "$CONFIG_DIR"
fi
if [ ! -e "$CONFIG_DIR/init.vim" ]; then
ln -sf "$ROOT_DIR/neovim/init.vim" "$CONFIG_DIR"
ln -sf "$ROOT_DIR/neovim/plugin_manager.vim" "$CONFIG_DIR"
fi
... | true |
0927c933d1eaba52a2e156edd1049a8a34d025d7 | Shell | mikenowak/docker-nrpe | /build-and-push.sh | UTF-8 | 221 | 2.875 | 3 | [] | no_license | #!/bin/bash
LOGIN=$(git remote get-url origin | sed -r 's/^(https|git)(:\/\/|@)([^\/:]+)[\/:]([^\/:]+)\/(.+).git$/\4/')
REPO=${PWD##*-}
docker build -t ${LOGIN}/${REPO}:latest . && docker push ${LOGIN}/${REPO}:latest
| true |
ca3cd64ee3a70d9d650dd81a96b93da4f606745e | Shell | jonghunDB/SciDB19.3 | /tests/xldb_demo/xldb.sh | UTF-8 | 5,863 | 2.984375 | 3 | [] | no_license | #!/bin/sh
#
# BEGIN_COPYRIGHT
#
# Copyright (C) 2008-2019 SciDB, Inc.
# All Rights Reserved.
#
# SciDB is free software: you can redistribute it and/or modify
# it under the terms of the AFFERO GNU General Public License as published by
# the Free Software Foundation.
#
# SciDB is distributed "AS-IS" AND WITHOUT ANY WA... | true |
936469249386fa91641b95f6d2ae3095aaeabaef | Shell | SrinivasaBharath/ceph-1 | /qa/workunits/rados/test_envlibrados_for_rocksdb.sh | UTF-8 | 2,034 | 3.5 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -ex
############################################
# Helper functions
############################################
source $(dirname $0)/../ceph-helpers-root.sh
############################################
# Install required tools
############################################
echo "Install req... | true |
676064d714e11089be4c8e15c7547ebb7e75a998 | Shell | Thegeiger/Corewar | /corewar/Unit_test.sh | UTF-8 | 3,728 | 3.65625 | 4 | [] | no_license | #!/bin/bash
#Check if binary exist
echo -e "Binary research:"
if test -e corewar; then
echo -e "\033[32;1mExecutable corewar found\033[0m\n"
else
echo -e "\033[31;1mExecutable corewar not found\033[0m\n" >&2
exit 1
fi
#Launch virtual machine without arguments
echo -e "Without arguments:"
output=$(./corewar 3>&1 ... | true |
66cd545fe7c51dc18203393b4aaae198352f6ffb | Shell | jinghuazhao/INF | /cardio/cistrans.sh | UTF-8 | 3,973 | 3.046875 | 3 | [] | no_license | #!/bin/bash
. /etc/profile.d/modules.sh
export rt=/scratch/jhz22/INF
export prot_list=$rt/doc/olink.prot.list.txt
export prot_annotation=$rt/doc/olink.inf.panel.annot.tsv
export prot_jma_cojo=INTERVAL.jma.dat
(
grep inf1 ${prot_list} | \
sed 's/inf1_//g;s/___/\t/g'
) | \
sort -k1,1 > inf1.list
# addition of genes/... | true |
78a12ee26f726255790cc66ed40c6b75fb45c0f5 | Shell | MDudek-ICS/peach | /build/remote | UTF-8 | 400 | 3.40625 | 3 | [
"MIT"
] | permissive | #!/bin/sh
if [ "$1" == "" ]; then
echo "Usage: $0 <host> [waf options]"
exit 1
fi
HOST=$1
SELF=`hostname`
LOCAL="`pwd`"
PROJ="`basename "$LOCAL"`"
REMOTE="jobs/${SELF}/${PROJ// /\\ }"
shift
ssh $HOST "mkdir -p ${REMOTE}"
rsync -avz --delete --exclude=.git --exclude-from=.gitignore "${LOCAL}/" "${HOST}:${REMOTE}/"... | true |
2de3cb77bfc3d9f3ab71788b87f9eb99325d1ae3 | Shell | CodeLingoBot/gopi | /etc/build/build-ffmpeg.sh | UTF-8 | 1,355 | 3.859375 | 4 | [
"BSD-3-Clause",
"BSD-2-Clause"
] | permissive | #!/bin/bash
# Build script to build dynamic FFMPEG libraries for Raspberry Pi
# Edit this to the location you want the build to occur in
export FFMPEG_ROOT="/opt/ffmpeg"
# set up structure
sudo install -o ${USER} -d "${FFMPEG_ROOT}" || exit -1
install -d "${FFMPEG_ROOT}/src" || exit -1
cd "${FFMPEG_ROOT}/src"
# down... | true |
15b553c6cfd68a862a290757dffb0475261016f5 | Shell | wttw/markdownish | /release.sh | UTF-8 | 1,220 | 4.15625 | 4 | [
"BSD-2-Clause"
] | permissive | #!/bin/bash
package="github.com/wttw/markdownish/cmd/mdtohtml"
platforms=("windows/amd64" "darwin/amd64" "linux/amd64")
# ----------
# Error handling
# ----------
die() {
echo "^^^ +++"
echo "${BASH_SOURCE[1]}: line ${BASH_LINENO[0]}: ${FUNCNAME[1]}: ${1-Died}" >&2
exit 1
}
set -o pipefail -o noclobber ... | true |
c1fea27116cabc2ac3950b52d3c90124912002be | Shell | kortina/dotfiles | /bin/x_book_2_txt.sh | UTF-8 | 283 | 3.75 | 4 | [] | no_license | #!/bin/sh
if [ $# -eq 0 ]; then
cat <<EOF
Usage: $0 [book.ext]
Convert \`book.ext\` to \`book.txt\`
EOF
exit 1;
fi
# book, eg, an epub
book=$1
# book.epub will become book.txt
txt=`echo "$book" | sed -e 's/\..*$/\.txt/g'`
# use Calibre to convert
ebook-convert "$book" "$txt" | true |
380eabcc70d752b1c88bbbd59b8c625b4d054a2c | Shell | chuckcharlie/Belkin-WeMo-Command-Line-Tools | /wemo | UTF-8 | 19,191 | 3.21875 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/bash
#123456789o123456789o123456789o123456789o123456789o123456789o123456789o123456789
# Belkin WeMo Command Line Tool #
#123456789o123456789o123456789o123456789o123456789o123456789o123456789o123456789
#123456789o123456789o123456789o123456789o123456789o123456789o12... | true |
309ac6c121a95d0ab21fad03ee470bde3b54f41e | Shell | myloginid/bigdata | /apache-flume-1.6.0-bin/scripts/start.sh | UTF-8 | 335 | 3.03125 | 3 | [] | no_license | #!/bin/bash
APP_NAME=org.apache.flume.node.Application
nohup bin/flume-ng agent -n a1 -c conf -f conf/flume-conf.properties &
sleep 1
pid=$(ps xf | grep "$APP_NAME" | grep -v grep | awk '{print $1}')
if [ "x$pid" != "x" ]; then
echo "Success: [$APP_NAME] started, pid: $pid."
else
echo "ERROR: [$APP_NAME] start... | true |
a248e3fc4d32635b7c09f88d42a12bc8e423d046 | Shell | laserswald/dotfiles | /xorg/.xprofile | UTF-8 | 396 | 3.5 | 4 | [] | no_license | #!/bin/sh
. "$HOME/.profile"
exec >> .xprofile.log
exec 2>> .xprofile-errors
if [ -f "$HOME/.xsession.local" ]; then
. "$HOME/.xsession.local"
fi
# Source any shell scripts in a dir, for maximum flexibility
if [ -d "$HOME/.xsession.d" ]; then
for script in $HOME/.xsession.d/*.sh; do
echo "Sourcing mod... | true |
b279b6374282fa06b18b2ebee493b75a62334dc7 | Shell | hero1s/chess_gold | /server/release/reload_all.sh | UTF-8 | 151 | 2.890625 | 3 | [] | no_license | #!/bin/bash
source ./config.sh
root_dir=`pwd`
for var in ${all_dir[*]}
do
dirname=${var}
enter_exec_shell_ $root_dir $dirname "reload.sh";
done
| true |
94ac3be0f3e583d7043879a1ff8a3e131d4a33ce | Shell | rajadevops26/setup | /jenkins_vagrant/bootstrap.sh | UTF-8 | 1,295 | 3.140625 | 3 | [] | no_license | #!/usr/bin/env bash
#!/bin/bash
# install java and jenkins
yum -y update ca-certificates
sudo yum install java-1.8.0-openjdk-devel -y
curl --silent --location http://pkg.jenkins-ci.org/redhat-stable/jenkins.repo | sudo tee /etc/yum.repos.d/jenkins.repo
sudo rpm --import https://jenkins-ci.org/redhat/jenkins-ci.org.key... | true |
7eb00a1bbfd784b3a2fd8769a738e65928f49b28 | Shell | mikh/Scripts | /Beaglebone Black Scripts/onReboot.sh | UTF-8 | 1,621 | 3.203125 | 3 | [] | no_license | #script to run on reboot
echo "Sleeping..."
echo 46 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio46/direction
echo 1 > /sys/class/gpio/gpio46/value
sleep 10
echo "Try to send mail...."
BASE_DIRECTORY="/home/root/SeniorDesign"
LOG_DIRECTORY="/home/root/logs"
$BASE_DIRECTORY/send_mail.sh
sleep 10
echo "Updat... | true |
13f36ba4398bbe5f2a1f3391b8bb4b418a18f782 | Shell | erynofwales/dotfiles | /zsh/func/darwin/darwin-os-build | UTF-8 | 210 | 2.796875 | 3 | [
"CC-BY-3.0"
] | permissive | #!/usr/bin/env zsh
# Eryn Wells <eryn@erynwells.me>
darwin-os-build() {
if [[ -z "$darwin_os_build" ]]; then
darwin_os_build=`sysctl -n kern.osversion`
fi
echo "$darwin_os_build"
}
darwin-os-build "$@"
| true |
fabd50c85582ec2adbef68b2dcbfd6e2f12de944 | Shell | beikejinmiao/Linux-Bash | /xchmod.sh | UTF-8 | 1,133 | 4.3125 | 4 | [] | no_license | #!/bin/bash
####################################################################################
#File Name : xchmod.sh
#Author : Li Jinmiao
#Mail : beikejinmiao@gmail.com
#Created Time : 2015-08-31 09:40:32
#Description : 'chmod +x' for python's file and shell script for given path
#######... | true |
5373b356a4fee4860bf695fd21f406402d02768b | Shell | OSSOS/SurveySimulator | /fortran/tests/test.sh | UTF-8 | 2,032 | 3.53125 | 4 | [
"LicenseRef-scancode-warranty-disclaimer"
] | no_license | #!/bin/bash
echo "$@"
cmd=$1
language=$2
src_dir=$(dirname ${1})
cmd=$(basename ${1})
echo "Testing ${language} version of ${cmd}"
if [ -f SimulDetect.dat ]; then
\rm SimulDetect.dat
fi
if [ -f SimulTrack.dat ]; then
\rm SimulTrack.dat
fi
${src_dir}/Driver < ${cmd}.in
if [ $? != 0 ]; then
status=$?
echo "... | true |
9e78be0706b28cdb0d11d8dfc87f63254925eaa1 | Shell | gopac25/Hackathon-CICD | /backup/CICD-Draft/checkstatus | UTF-8 | 306 | 2.984375 | 3 | [] | no_license | #!/bin/bash
c1=`docker ps|grep -i project2|head -1|cut -d' ' -f1`
c2=`docker ps|grep -i project2|tail -1|cut -d' ' -f1`
for i in `docker ps -q`; do echo $i=`docker inspect --format='{{.State.StartedAt}}' $i | xargs date +%s -d`; done
if [ "$c1" != "$c2" ];
then
docker stop $c1 $c2
docker start $c1 $c2
fi
| true |
936a1ff88e38da3a1ce3c8a8cca730382bc57e86 | Shell | chromko/docker-mk-5 | /mk-helpers/clone_repos.sh | UTF-8 | 861 | 3.84375 | 4 | [] | no_license | #!/usr/bin/env bash
# This script clone blog repos to parent_dir/module5_app
source data/creds.env
source mk-helpers/env.vars
eval $(docker-machine env $machine)
DIR="module5_app"
mkdir ../$DIR
cd ../$DIR
for i in ubuntu ruby mongodb blog_ui blog_backend blog; do
printf "Trying to clone $i repo\n"
git clone http... | true |
d7003abc390b1f6bb98d25cf68d6e2597f987de6 | Shell | indieterminacy/3q30vq_oq_panels_bash | /applets/mail | UTF-8 | 343 | 3.40625 | 3 | [] | no_license | #!/bin/zsh
mail_dir="$HOME/.mail/private/[Gmail].All Mail/new"
interval=300
if [ -e $mail_dir ]; then
change=$(stat -c %Y $mail_dir)
recent=" "
if [ $(( $(date +%s) - $change )) -lt $interval ]; then
recent="*"
fi
mail=$(( $(ls -l $mail_dir | wc -l) - 1 ))
else
mail=""
recent=""
fi... | true |
fd6cce46a6b0a33be012f3291c15bd7bbcc8efeb | Shell | iecedge/compass4nfv | /plugins/odl_cluster/roles/setup-odl/templates/odl_pkg.sh.j2 | UTF-8 | 452 | 2.5625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
rm -rf /home/networking
rm -rf /home/tmp
mkdir -p /home/networking
mkdir -p /home/tmp
cd /home/networking
git clone https://github.com/openstack/networking-odl.git -b stable/{{ os_name }}
# sed -i 's/^Babel.*/Babel!=2.4.0,>=2.3.4/' /home/networking/networking-odl/requirements.txt
pip wheel /home/netwo... | true |
5527c78db06c7a821726d205fcb21f5f86ef257e | Shell | ethan605/ethan605.github.io | /scripts/gen-resume.sh | UTF-8 | 452 | 3.703125 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -euo pipefail
PREFIX="Thanh-Ethan-Nguyen-resume"
RESUME_DIR="resume"
function main() {
local version
version=$(jq -r '.resume_version' package.json)
if [[ -z "$version" ]]; then
echo "Missing version"
return 1
fi
cd "$RESUME_DIR/"
echo "$version" > version.tex
local ou... | true |
3c75ab413a8b1ad4b20544f2e374b7a6f523aab5 | Shell | maximumSHOT-HSE/DFA-minimizer | /compressor/paint.sh | UTF-8 | 764 | 3.515625 | 4 | [] | no_license | #!/bin/bash
# <input graph> <output picture> <format: png, pdf, etc>
inf="$1"
buf=$(mktemp buf.XXXXXX)
ouf="$2"
format="$3"
# init as empty file
echo "" > "$buf"
echo -n "" > "$buf"
echo -ne "digraph G {\n" >> "$buf"
terms=($(cat "$inf" | tail -1))
for x in "${terms[@]}"
do
echo -ne "\t$x [peripheries=3];\n" >> "$... | true |
cfe9b21d579ac012edd66120f633db1554cb0c32 | Shell | jerelmiller/dotfiles | /setup/vscode.sh | UTF-8 | 1,153 | 4.09375 | 4 | [] | no_license | #!/bin/sh
cd "$(dirname "${BASH_SOURCE[0]}")" && . ./utils.sh
declare -a VSCODE_DIR="$HOME/Library/Application Support/Code/User"
declare -a FILES_TO_SYMLINK=(
"vscode/settings.json"
"vscode/keybindings.json"
"vscode/snippets/"
)
setup_key_repeating() {
# Enable key repeating https://github.com/VSCodeVim/Vi... | true |
b4bdc5713e83384499c6c55297e49c6f642b3b86 | Shell | halfmanhalftaco/tgcware-for-irix | /gtk2/build.sh | UTF-8 | 2,363 | 3.109375 | 3 | [] | no_license | #!/usr/tgcware/bin/bash
# This is a buildpkg build.sh script
# build.sh helper functions
. ${BUILDPKG_SCRIPTS}/build.sh.functions
#
###########################################################
# Check the following 4 variables before running the script
topdir=gtk+
version=2.16.6
pkgver=1
source[0]=http://ftp.gnome.org/p... | true |
dc7a30f72bb9551ad41ec8dc6510e0fa190604fe | Shell | Hughes-Genome-Group/CCseqBasicM | /testEnvironment_CCseqBasic.sh | UTF-8 | 30,210 | 3.46875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
##########################################################################
# Copyright 2017, Jelena Telenius (jelena.telenius@imm.ox.ac.uk) #
# #
# This file is part of CCseqBasic5 . #
# ... | true |
361b3783a066df6d1701eb84464129710b2c5129 | Shell | DkSanjed/Tarea6 | /primerTest/test.sh | UTF-8 | 251 | 2.59375 | 3 | [] | no_license | #!/usr/bin/expect -f
#!/bin/bash
# Este es nuestro primer progrma
spawn ssh sanjed@192.168.1.17
expect "password:"
sleep 1
send "*\r"
interact
cd prueba
edad="prueba"
if [ $edad = ${PWD##*/} ]
then
echo "ok"
else
echo "error"
fi
| true |
fe119057898495fa8d1780679001583110078d6f | Shell | ThomasYeoLab/CBIG | /stable_projects/registration/Wu2017_RegistrationFusion/bin/standalone_scripts_for_MNI_fsaverage_projection/CBIG_RF_MNI_example.sh | UTF-8 | 3,314 | 4.25 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# Written by Wu Jianxiao and CBIG under MIT license: https://github.com/ThomasYeoLab/CBIG/blob/master/LICENSE.md
# This warpper script runs CBIG_projectVol2fsaverage.sh for an example input
if [ "$(uname)" == "Linux" ]; then
SCRIPT_DIR=$(dirname "$(readlink -f "$0")")
elif [ "$(uname)" == "Darwin... | true |
c7f80dd86ec2e27c07dc342446567376a296967b | Shell | axelandersson/dotfiles | /bash/contrib/completion-1.1/completions/sbcl | UTF-8 | 740 | 2.703125 | 3 | [
"MIT"
] | permissive | # bash programmable completion for various Common Lisp implementations by
# Nikodemus Siivola <nikodemus@random-state.net>
have sbcl || have sbcl-mt &&
_sbcl()
{
local cur
COMPREPLY=()
_get_comp_words_by_ref cur
# completing an option (may or may not be separated by a space)
if [[ "$cur" == -* ]]... | true |
987c02a1a03dab9e1f9b09afd7a12e07710d19d6 | Shell | apache/steve | /monitoring/yna-recompute-summary/generate-issues-list.sh | UTF-8 | 217 | 2.8125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/sh -e
maildir=${1-/tmp/votem/wd/}
[ -d "$maildir" ] || exit 1
grep -R -h '^Subject:' $maildir \
| grep -v 'vote on' \
| perl -lne 'print if s/^Subject: (members\d{6}-\d{8}-)(\S*)/\1\2/' \
| sort | uniq
| true |
50ba82eb1e89991d8fc6006661c7532946e84cc4 | Shell | lbrayner/shell_scripts | /file_database | UTF-8 | 4,410 | 3.828125 | 4 | [] | no_license | #!/usr/bin/env bash
# set -x
print_usage() {
printf '\nUsage:\n\n\t%s\n' "$(basename "${0}") (-u FOLDER|-r FOLDER|-q QUERY)"
}
cmd=""
while getopts ":u:r:q:" opt
do
case ${opt} in
u)
cmd="update"
folder="${OPTARG}"
;;
r)
cmd="recent"
... | true |
39ee9698612d566bdda03378f97e8b70798dbd11 | Shell | AlmazSamatov/OS | /week05/exercise2/script1.sh | UTF-8 | 99 | 3.09375 | 3 | [] | no_license | #!/bin/bash
if [ ! -f num ]; then
echo 0 > num
fi
n=$( tail -n 1 num )
n=$((n+1))
echo $n >> num
| true |
5e23228dd66afed3581194ac682459f9356c0d6b | Shell | peakon/cache-buildkite-plugin | /hooks/pre-command | UTF-8 | 2,380 | 3.46875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# shellcheck disable=SC2001
set -euo pipefail
if [[ "${BUILDKITE_PLUGIN_CACHE_DEBUG:-false}" =~ (true|on|1) ]]; then
set -x
fi
if [[ "${BUILDKITE_PLUGIN_CACHE_SKIP_RESTORE:-false}" =~ (true|on|1) ]]; then
echo "~~~ Cache restoring is skipped"
exit 0
fi
if [[ -n "${BUILDKITE_PLUGIN_CACHE_S3_PROFILE:... | true |
9c5333b612e1d9500fe4c96d85df94f1497f3c13 | Shell | 4nakin/emacs-android-app | /tools/update.sh | UTF-8 | 602 | 3.796875 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# You have to run this once in order for ant builds to work
# Check that the Android SDK tool "android" is on the path
ANDROID=android
command -v "$ANDROID" >/dev/null 2>&1 || { echo >&2 "The $ANDROID tool is not on the current PATH. Aborting."; exit 1; }
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &&... | true |
257f6ffe024f1b9015ba482c0f416c4e8e15cefc | Shell | denisgolius/vm-deb | /victoria-metrics/etc/init.d/victoria-metrics | UTF-8 | 1,674 | 3.484375 | 3 | [] | no_license | #!/bin/sh
# kFreeBSD do not accept scripts as interpreters, using #!/bin/sh and sourcing.
if [ true != "$INIT_D_SCRIPT_SOURCED" ] ; then
set "$0" "$@"; INIT_D_SCRIPT_SOURCED=true . /lib/init/init-d-script
fi
### BEGIN INIT INFO
# Provides: victoria-metrics
# Required-Start: $remote_fs
# Required-Stop: ... | true |
1d8330e929e5070d9390230fda8d8acc35ca0d74 | Shell | jrbing/ps-sparky | /lib/libpsenv.sh | UTF-8 | 3,539 | 3.796875 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
#===============================================================================
# vim: softtabstop=2 shiftwidth=2 expandtab fenc=utf-8:
#===============================================================================
#
# FILE: libpsadm.sh
#
# DESCRIPTION: Library file for psenv script
#
... | true |
420f312896625f88238531319a2b8b379e36ce27 | Shell | ben-xD/mit-research-gromacs-induced-curvature-md | /wham.sh | UTF-8 | 644 | 3.390625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
nskip=${1:-2000}
echo "Checking for required files."
# Check for TPR Files, at least one.
for i in *.tpr
do
if [ ! -f $i ]
then
echo "No TPR files exist."
exit 1
fi
done
echo "Preparing WHAM input files."
# Create file lists
ls pulling*md.tpr > tpr-files.dat
ls pullf*.xvg > pullf-files.dat
ls pullx*.x... | true |
0bc6960c8a73c95fd4597929da80d595155f82fd | Shell | StackArch/pkg-os-testr | /PKGBUILD | UTF-8 | 1,307 | 2.625 | 3 | [] | no_license | # Maintainer: BigfootACA <bigfoot@classfun.cn>
_pyname=os-testr
pkgname=python-$_pyname
pkgver=2.0.0
pkgrel=1
pkgdesc="A testr wrapper to provide functionality for OpenStack projects"
arch=(any)
url="https://docs.openstack.org/os-testr/latest/"
license=(Apache)
depends=(
python2
python
python-pbr
python-stestr
py... | true |
22e08dad27cfc3fbf78c319875d35c24e8b54c8a | Shell | jackfirth/racket-auto-fix-deps | /job/src/fix-deps.sh | UTF-8 | 677 | 2.65625 | 3 | [] | no_license | #!/bin/bash
set -e
git config --global user.email "$GITHUB_USER_EMAIL"
git config --global user.name "$GITHUB_USER_NAME"
git config --global hub.protocol https
echo "machine github.com login $GITHUB_USER password $GITHUB_PASSWORD" >> ~/.netrc
raco pkg install --deps search-auto --no-setup --clone $1
cd $1
/src/hub f... | true |
59bffe7105c45ddf9a8098a04222899cc92d7591 | Shell | benbuckman/dabbling | /python/slackbot/deploy-lambda.sh | UTF-8 | 1,072 | 3.625 | 4 | [] | no_license | #!/usr/bin/env bash
# Deploy python code to Lambda endpoint.
# See: http://docs.aws.amazon.com/lambda/latest/dg/lambda-python-how-to-create-deployment-package.html
set -exo pipefail
main() {
test -n "$LAMBDA_PROFILE" || { echo "Missing LAMBDA_PROFILE"; exit 1; }
test -n "$LAMBDA_FUNCTION_NAME" || { echo "Mis... | true |
9e346786b3e4576883270a5e6648f2ac3820ebff | Shell | quixotique/ABO | /bin/inctb | UTF-8 | 1,085 | 3.34375 | 3 | [] | no_license | #!/bin/bash
set -e
source "$SHELLBOOST/libsh/script.sh"
NL='
'
opt_force=false
ensure_in_path pgrep mhpath inc sed save
! $opt_force && pgrep thunderbird >/dev/null && fatal "thunderbird is running"
profiles_ini_path="$HOME/.thunderbird/profiles.ini"
profile_dir="$(sed -ne '/^Path=/s///p' "$profiles_ini_path" 2>/de... | true |
dbe4523577da607657634285190ad8ed1cde2309 | Shell | zhanghytc/bigdata_md | /typora/3_shell脚本/20200604/myscripts/dwd_to_dws_db.sh | UTF-8 | 8,604 | 2.609375 | 3 | [] | no_license | #!/bin/bash
#1. 确定要导入数据的日期
if [ -n "$1" ]
then
do_date=$1
else
do_date=$(date -d 'yesterday' '+%F')
fi
#2. 导入命令 hive默认连接的是default库,如果要使用别的库,请先使用use,或用库名.表名/函数名声明
sql="
use gmall;
insert overwrite table dws_uv_detail_daycount partition(dt='$do_date')
select mid_id,
concat_ws('|', collect_set(user_id)),
... | true |
639e11ba55887a29f89a3a4255fa0c02fb4680e5 | Shell | castle/zsh-test-suite | /helpers/random_ip.sh | UTF-8 | 286 | 3.5625 | 4 | [] | no_license | #!/bin/zsh
# select random IP address for inclusion in request context
randomize_ip() {
FIRST=$(((RANDOM %= 88) + 11))
SECOND=$((RANDOM %= 223))
THIRD=$((RANDOM %= 223))
FOURTH=$((RANDOM %= 223))
echo "${FIRST}.${SECOND}.${THIRD}.${FOURTH}"
}
IP=$(randomize_ip)
echo $IP
| true |
d1bfbec9106f744beff6379c1b62881f0a88f3d3 | Shell | koterpillar/desktop | /bin/git-advance | UTF-8 | 813 | 3.859375 | 4 | [] | no_license | #!/bin/sh
set -e
advance_branch() {
BRANCH=$1
if [ "$(git rev-parse --abbrev-ref HEAD)" != "$BRANCH" ]
then
git checkout $BRANCH
fi
git pull
if git remote get-url upstream >/dev/null 2>&1
then
git remote prune upstream
git pull upstream $BRANCH
fi
}
branch_exi... | true |
53b14334eefc59f083c084882d4ddb45c794d115 | Shell | google-research/language | /language/xsp/data_download.sh | UTF-8 | 11,258 | 3.078125 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-generic-cla"
] | permissive | # coding=utf-8
# Copyright 2018 The Google AI Language Team Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by ... | true |
e6932a939963320f5f70a23b2310b73fc16eaf36 | Shell | Xava2011/SysOper | /Zad1/1example/if1.sh | UTF-8 | 283 | 3.046875 | 3 | [] | no_license | #!/bin/sh
# sprobuj wpisac pusta pore dnia
echo "Czy jest juz wieczor? (tak/nie)"
read poradnia
if [ $poradnia = "nie" ]
then
echo "Dzien dobry"
elif [ $poradnia = "tak" ]; then
echo "Dobry wieczor"
else
echo "Nie rozumiem: $poradnia. Odpowiedz tak lub nie."
exit 1
fi
exit 0
| true |
c8beba92d1120048079d7810ac37eeef2649652b | Shell | chiefkarlin/cloud-derby | /cloud/ml/inference/run.sh | UTF-8 | 1,667 | 3.140625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#
# Copyright 2018 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed ... | true |
c81ae5c1501065c5d735aaa0344325620b9b4fb0 | Shell | aolsen0469/Misc | /pg_basebackup_rotate.bsh | UTF-8 | 749 | 3.59375 | 4 | [] | no_license | #!/bin/bash
#-------- Requirements--------------------------#
# 1. pg_basebackup (as postgres user)
# 2. rsync wal logs
# 3. only keep 2 most recent copies
#-----------------------------------------------#
snapshotdate="tor-pg-prod.`date +"%Y.%m.%d"`"
dir=/db-dump/postgresql
# FUNCTION PURPOSE: Creates a ph... | true |
21bcfcda9a655bc85ae80ae55378bf582209befd | Shell | liuyuanlai/DTNSpeedTest | /create_linear_test_symlink.sh | UTF-8 | 225 | 2.671875 | 3 | [] | no_license | #!/bin/bash
for i in 1 20 50 100 200 500 1000 2000 5000 10000
do
for j in $(seq 0 $(expr $i - 1))
do
ln -s /dev/zero /global/cscratch1/sd/yuanlai/gf_test/linear_test_files/linear_test_5G_devzero/${i}/file${j}
done
done
| true |
e9a1d0f19b71381325b334bd89c4d2fa82da969c | Shell | 264768502/CompileScript | /iperf3.sh | UTF-8 | 1,541 | 2.984375 | 3 | [
"MIT"
] | permissive | workspace='/tmp/iperf3'
cross_compile_tool='arm-2014.05-29-arm-none-linux-gnueabi-i686-pc-linux-gnu.tar.bz2'
cross_tool_folder='arm-2014.05'
echo "[INFO] Workspace: ${workspace}"
mkdir -p ${workspace}
echo "[STEP] Download iperf3.7 src"
wget -O "${workspace}/iperf3.7.tar.gz" https://github.com/esnet/iperf/archive/3.7.t... | true |
47fa80689b2ce6060007263599e3a344dc2253f6 | Shell | wenfh2020/shell | /redis/benchmark.sh | UTF-8 | 2,526 | 3.5625 | 4 | [] | no_license | #!/bin/bash
# -------------------------------------------------------------------------------
# project redis-benchmark
# file: benchmark.sh
# brief Stress test redis multi-threaded processing network i/o
# author: wenfh2020.com
# date: 2020-04-21
# -----------------------------------------------------------... | true |
c848deabd424d1747f0e5d6cdcac183fb2393b19 | Shell | epiphany40223/epiphany | /media/linux/pds-sqlite3-queries/run.sh | UTF-8 | 3,081 | 3.28125 | 3 | [] | no_license | #!/bin/zsh
#
# Run the PDS SQL queries scripts.
#
set -xeuo pipefail
logfile_dir=/home/coeadmin/logfiles
credential_dir=/home/coeadmin/credentials
git_base=/home/coeadmin/git/epiphany/media/linux
prog_dir=$git_base/pds-sqlite3-queries
sqlite_dir=$git_base/pds-data
cd $prog_dir
####################################... | true |
6cbef48008a6c33bdf60b86e715c10528197a5f7 | Shell | Cloudxtreme/flitter | /run/proxy/init | UTF-8 | 504 | 2.921875 | 3 | [
"Zlib",
"BSD-3-Clause",
"Apache-2.0"
] | permissive | #!/bin/bash
set -e
source /host-environment
export PORT=${PORT:-2232}
export BUILDER_HOST=$(etcdctl --peers http://$COREOS_PRIVATE_IPV4:4001 get /flitter/builder/host)
export BUILDER_PORT=$(etcdctl --peers http://$COREOS_PRIVATE_IPV4:4001 get /flitter/builder/port)
if [ -z "$BUILDER_HOST" ]
then
echo "Cannot find ... | true |
ecba1edf2be06e64058bb736e61968aa29be7fa9 | Shell | krishenriksen/AnberPorts | /AnberPorts/scripts/games/Sonic-Robo-Blast-2 | UTF-8 | 958 | 3.203125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Open-source Sonic the Hedgehog fangame.
# Release: 1999 Genre: First-person shooter
printf "\e[32mDownloading Sonic Robo Blast 2 ...\n" > /dev/tty1
wget -q 'https://github.com/krishenriksen/AnberPorts/raw/master/misc/sonic-robo-blast-2.zip'
if [[ $? -ne 0 ]]; then
printf "\e[32mDownloading failed, ... | true |
cf537e8ef33ec04f6b5aa3205bb3b25eebc2e096 | Shell | Fisica2014-FF/Sper1-EsperienzaPendolo | /BACKUP/genera_script_gnuplot.sh | UTF-8 | 1,795 | 3.265625 | 3 | [] | no_license | #!/bin/bash
for template in ./Gnuplot/TemplateScript/*.templatescript
do
for datafile in ./formatteddata/*.formdat
do
# Togli templatescriptdal nome del file
nometemplate=$(echo "$template" | grep --perl-regexp --only-matching '(.*)\.(.*)' | perl -pe 's/(.*\/)(.+)\.(.+)/\2/g')
nomedata=$(echo "$datafile" | grep... | true |
8edc29066b116fcc191ca9de434fe04f885e5d7b | Shell | aselvan/scripts | /macos/spoof_mac.sh | UTF-8 | 3,340 | 4.4375 | 4 | [
"MIT"
] | permissive | #/bin/sh
#
# spoof_mac.sh
#
# Description:
# Spoof mac address, save current or restore or list.
#
# pre-req: openssl
#
# Disclaimer:
# This will obviously create lot of packet collitions/problems on the network and
# create slowness, so you do choose to use this script, you are using at your own
# risk and I am... | true |
20390d21ed5ba076ace2591cb0aea04b5df5c0fa | Shell | mbrezina/sporteezone_DigitalOcean_deploy | /terraform/install-docker.sh | UTF-8 | 503 | 2.828125 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# Exit if any of the intermediate steps fail
set -e
# Print commands
set -x
sudo apt-get -qq update
sudo apt-get -qq --yes install apt-transport-https ca-certificates curl software-properties-common
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add -
sudo add-apt-reposito... | true |
6f5cfd2846960b8b10f349245a2e16dd7af1fc84 | Shell | larsvilhuber/test2 | /run_analysis.sh | UTF-8 | 405 | 3.609375 | 4 | [] | no_license | #!/bin/bash
for program in $(ls [01][0-9]_*)
do
echo "Next program in sequence: $program"
extension=$(echo $program | awk -F. ' { print $2 } ')
echo "Going to run $extension"
case $extension in
R|r)
echo "***Rscript $program"
;;
do|DO)
echo "***stata-mp -b $program"... | true |
49cce4ed3d0d3e730c841c00cc1c665d13db570b | Shell | skeller88/aws-terraform-bootstrap | /package_lambda.sh | UTF-8 | 980 | 3.734375 | 4 | [] | no_license | #!/bin/bash
# Based on script from http://jeremievallee.com/2017/03/26/aws-lambda-terraform/
set -e
ZIPFILE_DIR="dist/lambdas"
mkdir -p $ZIPFILE_DIR
# Determines the zipfile name and the main ".py" file that gets zipped
LAMBDA_NAME=$1
echo $LAMBDA_NAME
# Get Virtualenv Directory Path
SCRIPT_DIR="$( cd "$( dirname "${BA... | true |
b75ef0526b1d6b642aea767255007d4eb36eef74 | Shell | balcomiv/parallel-test-sandbox | /parallel-tests.sh | UTF-8 | 927 | 2.75 | 3 | [] | no_license | #!/bin/bash
# rm -rf coverage
# rm -rf coverage-all
# for dir in projects/*; do
# echo "$dir"
# if [["$dir" != *-e2e]]
# then
# prefix="projects/";
# prefix=""
# project=${dir#$prefix}; #Remove prefix
# echo "$project"
# echo "$dir"
# ng test --watch=false --project=$project &
# fi
# don... | true |
99802ead6e6e2cb8f092f64c107ee71577051137 | Shell | siwatts/dotfiles | /i3wm/bin/i3_lock.sh | UTF-8 | 813 | 2.828125 | 3 | [] | no_license | #!/bin/bash
## Take a full screenshot, blur it, lock with it.
#scrot /tmp/screenshot.png
#convert /tmp/screenshot.png -blur 0x5 /tmp/screenshotblur.png
#i3lock -i /tmp/screenshotblur.png
## Slower, but no dependencies.
#i3lock -i <(import -window root - | convert -blur -1x5 - png:-)
## Lock using a static picture.
#... | true |
9920dbbfdd1fc16f1ee5d78eb0deea86d4859da5 | Shell | Kaik-a/OCR-Projet13 | /scripts/application_server/deploy-apply.sh | UTF-8 | 1,316 | 2.921875 | 3 | [] | no_license | #!/bin/bash
SQL_PASSWORD=$1
HOST=$2
USER=$3
CLIENT_SECRET_KEY="secret_key_we_gave_to_client"
echo "Installing python"
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install python3.8
sudo apt-get install python3-venv
echo "Initializing venv"
python3.8 -m venv /etc/gamelenders/venv
echo "Activate venv"
source ... | true |
4d6a83fccba4501eecf15c3d5fcdbbd0e64340ac | Shell | Narsail/dotfiles | /install/osx.sh | UTF-8 | 1,224 | 2.59375 | 3 | [] | no_license | #!/bin/sh
echo "Removing all (default) app icons from the Dock"
defaults write com.apple.dock persistent-apps -array "";
echo "Checking for software updates daily, not just once per week"
defaults write com.apple.SoftwareUpdate ScheduleFrequency -int 1;
echo "Showing all filename extensions"
defaults write NSGlobalD... | true |
5bc49a35ccd8f84df9381a84d9bcf4bafa56be96 | Shell | collinsrj/maven-central-crawler | /verifyPgp.sh | UTF-8 | 233 | 3.125 | 3 | [] | no_license | #!/bin/sh
for f in $1
do
pom=`echo $f | sed 's/.\{4\}$//'`
# gpg --keyserver eu-pool.sks-keyservers.net --verify "$f" "$pom"
gpg --verify "$f" "$pom"
if [ $? -ne 0 ]
then
echo "Signature did not verify for $f"
fi
done
| true |
d734181d5a45ef88150a131a83c64ebe36884122 | Shell | lmotta/workerprocessingimage | /pl_download_geojson_scenes.sh | UTF-8 | 2,759 | 3.59375 | 4 | [] | no_license | #!/bin/bash
#
# ***************************************************************************
# Name : Planet Labs Downloads Geojson Scenes
# Description : Download region images from Geojson layer(scene ID).
# Geojson layer from: pl_get_geojson_scenes.sh
#
# Arguments: ... | true |
18f4cf54ce7e01ac049ec24fa5330b3a6a50bb53 | Shell | wdhongtw/dotfiles | /install.sh | UTF-8 | 672 | 3.984375 | 4 | [] | no_license | #!/bin/sh
DOTFILES_DIR=${DOTFILES_DIR:-"$HOME/.dotfiles"}
DEST_HOME=${DEST_HOME:-"$HOME"}
cd "$DOTFILES_DIR" || exit
FILE_LIST=".screenrc .tmux.conf .vimrc .vimrc.d .bashrc.d"
install() {
printf "Install dotfiles...\n"
for FILE in $FILE_LIST; do
rsync -avh --no-perms "$FILE" "$DEST_HOME";
done
printf "Ins... | true |
4a599c6db5758bbe78ab1a80da1dfc08bfd9945d | Shell | kubeflow/example-seldon | /models/r_mnist/train/train.sh | UTF-8 | 212 | 2.65625 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
# exit when any command fails
set -e
until mountpoint -q /data; do
echo "$(date) - waiting for /data to be mounted..."
sleep 1
done
ls -l /data
Rscript train.R
ls -l /data
| true |
9a190682ca856bbd4daa4b9d24134889cf71fa11 | Shell | FFrabetti/Cooperative-container-migration | /stateful migration/volumes_migr_dest.sh | UTF-8 | 1,312 | 4.25 | 4 | [] | no_license | #!/bin/bash
# $1 := SOURCE
# $2 := BACKUP_DIR
# $3 := TARGET_DIR (absolute)
# $4 := SCRIPT
# $5 := CONT_IMAGE
# [$6 := USER]
if [ $# -lt 5 ] || [ $# -gt 6 ]; then
echo "Usage: $0 SOURCE BACKUP_DIR TARGET_DIR SCRIPT CONT_IMAGE [USER]"
exit 1
fi
SOURCE=$1
BACKUP_DIR="$2"
TARGET_DIR="$3"
SCRIPT="$4"
CONT_IMAGE=$5
# ... | true |
89475fe67029eec770564ea43cd66ced4b5a0ead | Shell | Soetnowzen/dotfiles | /myzsh/conf/runner.bash | UTF-8 | 463 | 3.703125 | 4 | [] | no_license | #!/bin/bash
INPIPE=$1
OUTPIPE=$2
RCFILE=$3
set --
trap "echo clean up; rm -f $INPIPE $OUTPIPE" EXIT
export TOP_PID=$$
if [ -f $RCFILE ]; then
source $RCFILE
fi
while true; do
echo "Bash runner ($TOP_PID) ready"
read -r -a cmd <$INPIPE
{
echo "** ${cmd[@]} **"
case "${cmd[0]}" in
d) date ;;
r) cd ${c... | true |
7343830b6059783ab7ea2009ae626f74cec8f6aa | Shell | saumye1/image-spam-classifier-bayes-bigrams | /classify_all.sh | UTF-8 | 770 | 3.265625 | 3 | [] | no_license | g++ converter.cpp -o converter
g++ englishStemmer.cpp -o stemmer
g++ classifier.cpp -o classifier
for image in $(ls *.png *.jpeg *.jpg )
do
echo "Following file is selected for OCR..."
echo "**********************"
echo $image
echo "**********************"
#run tesseract OCR
tesseract $image textInImage
echo... | true |
7a55290b311dd9179cecf5abd4ea3bf13647cd25 | Shell | kieker-monitoring/kieker | /bin/dev/run-all-examples.sh | UTF-8 | 297 | 3.203125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -e
export BASE_DIR=$(cd "$(dirname "$0")"; pwd)
export EXAMPLE_DIR="$BASE_DIR/../../kieker-examples"
start=$(pwd)
for example in $(find $EXAMPLE_DIR -name "executeExample.sh"); do
echo "Executing $example"
cd $(dirname "$example")
./executeExample.sh
cd $start
done
# end
| true |
df8c9fcdee7a569e2743b22d2aa6ea4730ceadb2 | Shell | jgte/sync | /unison.user@remote.computer.sh | UTF-8 | 8,173 | 3.828125 | 4 | [] | no_license | #!/bin/bash -u
# This script connects to the computer specified in the filename and synchronizes
# the current directory with the corresponding remote current directory.
#
# The remote computer name and the user on that computer is identified in the
# filename of this script as:
#
# unison.<username>@<remote compute... | true |
b56b169ddf2fc4af5092e723a532ce9b1f604265 | Shell | mikeylong/episketch | /test/api/inc/_user_4_journey | UTF-8 | 1,414 | 2.765625 | 3 | [] | no_license | #!/bin/bash
# designer 4 journey
mkdir -p tmp/api/$TEMP_VALUE_4;TRACE=tmp/api/$TEMP_VALUE_4/trace
HEADERS=tmp/api/$TEMP_VALUE_4.headers
SELF=$TEST_DESIGNER_4
printf "\n$SELF"
EXPECT="200 OK" # when '/login' receives POST request w/ valid email.
LINE_NUMBER=$LINENO
curl "$HOST/login" -v -H "Accept: application/json" -H... | true |
5456d5b9d324eebc15a077152d0a76d4728f9921 | Shell | andytanoko/4.2.x_integration | /GTAS/Customers/Inovis/rollout/inovis/setenv.sh | UTF-8 | 894 | 2.765625 | 3 | [] | no_license | APPSERVER_HOME="$GRIDTALK_HOME/jboss-4.0.5.GA"
#
JAVA_HOME="$GRIDTALK_HOME/jre150_10"
#
ANT_HOME="$GRIDTALK_HOME/../jakarta-ant-1.5.1-bin"
#
DATA_HOME="$GRIDTALK_HOME/data"
# set path to Ant and Java
PATH="$ANT_HOME/bin:$JAVA_HOME/bin:$PATH"
#
# application specific environment settings
APPLICATION="GT(GridTalk)"
#
# a... | true |
4d66ec894ed03848dd294afbfee3fbc8a67b0668 | Shell | oren/digital-ocean | /create-droplet | UTF-8 | 514 | 2.9375 | 3 | [] | no_license | #!/bin/sh
source .colors
SSH_KEY_ID=$(./get-ssh-key-id)
# create droplet
curl -X POST "https://api.digitalocean.com/v2/droplets" -d'{"name":"'"$DROPLET_NAME"'","region":"'"$REGION"'","size":"'"$SIZE"'","image":"'"$IMAGE"'","ssh_keys":["'"$SSH_KEY_ID"'"],"backups":false,"ipv6":false,"user_data":null,"private_networki... | true |
4bb5c3d912d7092f209bf3e7e47e1e263e21d5d2 | Shell | sebhtml/Ray-TestSuite | /Build-Scripts/colosse/k64-no-mpiio.sh | UTF-8 | 435 | 2.703125 | 3 | [] | no_license | #!/bin/bash
module load nne-790-ab/ray/last-build
cd ~/git-clones/ray
id=$(git log|grep ^commit|head -n1|awk '{print $2}')
builds=/rap/nne-790-ab/software/RayAppBuilds-BleedingEdge/
make clean
make MAXKMERLENGTH=64 ASSERT=y HAVE_LIBZ=y HAVE_LIBBZ2=y -j 10 PREFIX=$builds/$id CXXFLAGS=" -O3 -std=c++98 -Wall -march=n... | true |
0fcca78135c0ae768d4a08edddb481a2c67342ee | Shell | temporalio/ringpop-go | /scripts/lint/lint-warn | UTF-8 | 806 | 4.375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#
# lint-warn takes the output of `go tool vet` and matches lines against an
# exclude file. If an output line matches an exclude, it is printed to stdout,
# otherwise it is printed to stderr.
#
# If anything is printed to stderr, the program exits with exit code 1.
set -ueo pipefail
if [ $# -lt 1 ]; then
... | true |
871eba95e423b90d91b1ad014890290b853745bf | Shell | halfx/zen-ids-profile | /scripts/dgt | UTF-8 | 544 | 2.671875 | 3 | [] | no_license | #!/bin/bash
. $csc/scripts/cs-common
function usage() {
echo "dgt -d <dataset-dir> -n <predictor-count> [ (-1 <standalone-mode> -s <php-src-dir> ) | ( -p <server-port> ) ]"
echo " [ -t train/test ]"
echo " # predictor-count: number of predictors to report (-1 for all)"
}
check_help $1 usage
append_class... | true |
6ee5b05073280800cc1fbd2aaec2e9a7d1548a58 | Shell | niteshge/SolrCloud-Zookeeper-Docker | /zookeeper/docker-entrypoint.sh | UTF-8 | 1,345 | 3.390625 | 3 | [] | no_license | #!/bin/bash
set -e
# Allow the container to be started with `--user`
if [[ "$1" = 'zkServer.sh' && "$(id -u)" = '0' ]]; then
chown -R zookeeper "$ZOO_DATA_DIR" "$ZOO_DATA_LOG_DIR" "$ZOO_LOG_DIR" "$ZOO_CONF_DIR"
exec gosu zookeeper "$0" "$@"
fi
# Generate the config only if it doesn't exist
if [[ ! -f "$ZOO_CONF_DIR/... | true |
1b76c3dad061b72433f8bd7dff35b6dae022c225 | Shell | owainkenwayucl/install-scripts | /scripts/flang/flang-spack_install | UTF-8 | 1,703 | 3.390625 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
###############################################
# Installing
#
# by Owain Kenway, 2018
#
set -e
ln -fs /shared/ucl/apps/build_scripts/includes .
for i in ${includes_dir:=$(dirname $0 2>/dev/null)/includes}/{module_maker,require}_inc.sh; do . $i; done
require gcc-libs/4.9.2
NAME=${NAME:-flang}... | true |
34339540855d3dd633908e03729bfc4a337f2720 | Shell | rtircher/dot-files | /setup.sh | UTF-8 | 3,487 | 2.96875 | 3 | [] | no_license | #!/bin/bash
set -e -u
LINK_FILE_DIR="`pwd`/files"
ls -1dA "$LINK_FILE_DIR/bin" $LINK_FILE_DIR/.* | while read f; do
[ "$f" == `pwd`/files/. ] ||
[ "$f" == `pwd`/files/.. ] ||
[ "$f" == `pwd`/files/.git ] ||
ln -vsf "$f" ~
done
mkdir -p ~/.ssh/
ln -vsf "$LINK_FILE_DIR/ssh_config" ~/.ssh/config
if [ ! `which ... | true |
fec1432134bb22fe8db52997eea021daebf39d03 | Shell | VerusCoin/VerusPay | /scripts/get500t | UTF-8 | 224 | 2.9375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
#set working directory to the location of this script
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd $DIR
for run in {1..500}
do
addr=$(./verus getnewaddress)
echo $addr"," >> taddresses.txt
done
| true |
7b9f53100cd5e2db26e16a199ddf8fb4ccdff9ac | Shell | jamesWith/BabDAR | /SetupBabDAR.sh | UTF-8 | 982 | 3.140625 | 3 | [] | no_license | #!/bin/bash
conda env create -f BabDAR-venv.yml
conda init zsh
source ~/.zshrc
conda activate BabDARvenv
echo $CONDA_PREFIX
#Move into the Darknet folder to make darknet
cd Darknet
while true; do
read -p "Is a GPU available on this computer?" yn
case $yn in
[Yy]* ) sed -i '' -e 's/OPENCV=0/OPENCV=... | true |
8e970c50dfae5aa4703d6be0c5cce972413af02b | Shell | javicacheiro/hadoop-on-demand-rest-jhipster | /scripts/iptables-add.sh | UTF-8 | 775 | 4.0625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
#################
### FUNCTIONS ###
#################
function print_help {
echo 'iptables-add'
echo -e "\t"'hadoop-iptables -h'
echo -e "\t\t"'Shows this help'
echo -e "\t"'iptables-add IP'
echo -e "\t\t"'Adds the given IP to iptables'
}
###################
### EXIT VALUES ###
###################
#... | true |
db174cd8048c45bfe9dd4824e315c394ff4f24ab | Shell | bajjy/multihawker | /multihawker.sh | UTF-8 | 302 | 3.0625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# ver. 0.0.2
multihawker=$0
project=$PWD
cd $(dirname $0)
if [ "$1" == "" ]; then
if [ ! -f $project/multihawker.js ]; then
echo "multihawker.js not found in project folder!"
exit 1
fi
npm run start -- -p $project $@
exit 0
fi
npm run start -- $project $@ | true |
646fab6fb64a3c91e9e38561bb8b037aca9984f2 | Shell | alaxa27/Way-Connect_Box | /tools/ap_mode.sh | UTF-8 | 969 | 3.390625 | 3 | [] | no_license | #!/usr/bin/env bash
ROOTDIR="/home/pi"
if [ -f ${ROOTDIR}/env ]; then
if [ ! -f ${ROOTDIR}/ap ]; then
touch ${ROOTDIR}/ap
echo "AP_MODE=\"wlan\"" >> ${ROOTDIR}/ap
echo "AP_MODE=\"wlan\"" >> ${ROOTDIR}/env
fi
. ${ROOTDIR}/env
NEXT_MODE=$AP_MODE
. ${ROOTDIR}/ap
CURRENT_MODE=$AP_MODE
if [ $C... | true |
a2f00011518db2097794029b42266f3c97b623d1 | Shell | pengchen98/bitcoin-controller | /travis/promote.sh | UTF-8 | 2,283 | 4.03125 | 4 | [] | no_license | #!/bin/bash
#
# Package the Helm chart that we just tested and
# push into final target repository
#
# Assumes that the following environment variables are set
# TRAVIS_BUILD_DIR - directory into which Travis clones the bitcoin-controller-helm-qa repo
# TRAVIS_HOME - home directory, we use $TRAVIS_HOME/cache... | true |
94f11e7734d36555f1f41126eb3c65c5ebacef28 | Shell | mastercomfig/mastercomfig | /dev/shrink_key_values.sh | UTF-8 | 1,543 | 3.96875 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# credit: jane
export LANG=C
INPUT="$(<"$1")"
OUTPUT=""
CONTROL="{}\""
WHITESPACE=$' \r\n\t'
NOSPACE="${WHITESPACE}${CONTROL}"
MUSTQUOTE=$'[ \r\n\t{}]'
i=0
c=""
readC () {
((i++))
read -rN1 c
}
seek () {
(( i += "$1" ))
exec <<< "${INPUT:i}"
}
charIn () {
case "$2" in
*"$1"*) return 0... | true |
26c10d76795c06ac4e31d3485bd6d9d30a8318ef | Shell | scipopt/soplex | /scripts/updateversion.sh | UTF-8 | 2,719 | 3.671875 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#
# Script to update all version numbers in SoPlex
#
# USAGE: ./scripts/updateversion.sh [<major> <minor> <patch>]"
#
if [[ $1 == "-a" ]]
then
perl -i -pe 's/#define SOPLEX_APIVERSION \K(\d+)/$1 + 1/e' src/soplex/spxdefines.h
perl -i -pe 's/set\(SOPLEX_VERSION_API \K(\d+)/$1 + 1/e' CMakeList... | true |
aa9a53ea65ca4abe49332d01669e009a24bcd9df | Shell | Mailaender/languagetool-community-website | /update_languagetool.sh | UTF-8 | 1,248 | 3.5 | 4 | [] | no_license | #!/bin/bash
# Build LanguageTool and copied the JARs etc to "libs".
# Requires a local checkout of all LanguageTool sources.
CUR_DIR=$(basename $PWD)
if [ $CUR_DIR != 'ltcommunity' ]
then
echo "Error: please start this script from the ltcommunity directory"
exit
fi
echo "Building and copying latest Language... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.